org.wildfly.swarm.config.datasources.data_source

## Class ConnectionProperties<T extends ConnectionProperties<T>>

- java.lang.Object
- - org.wildfly.swarm.config.datasources.data_source.ConnectionProperties<T>

-     public class ConnectionProperties<T extends ConnectionProperties<T>>
      extends Object

  The connection-properties element allows you to pass in arbitrary connection properties to the Driver.connect(url, props) method

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionProperties(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `value()` Each connection-property specifies a string name/value pair with the property name coming from the name attribute and the value coming from the element content
    `T` | `value(String value)` Each connection-property specifies a string name/value pair with the property name coming from the name attribute and the value coming from the element content

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionProperties

          public ConnectionProperties(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### value

          public String value()

      Each connection-property specifies a string name/value pair with the property name coming from the name attribute and the value coming from the element content

    - #### value

          public T value(String value)

      Each connection-property specifies a string name/value pair with the property name coming from the name attribute and the value coming from the element content

Copyright © 2017 JBoss by Red Hat. All rights reserved.